# NodeCryptoSha2Hash | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- NodeCryptoSha2Hash

## Index

### Constructors

- constructor

### Properties

- createHash

### Methods

- digest

## Constructors

### constructor

- new NodeCryptoSha2Hash(createHash: NodeCryptoCreateHash ): NodeCryptoSha2Hash

- - Defined in packages/encryption/src/sha2Hash.ts:11

  #### Parameters

  - ##### createHash: NodeCryptoCreateHash

  #### Returns NodeCryptoSha2Hash

## Properties

### createHash

createHash: NodeCryptoCreateHash

- Defined in packages/encryption/src/sha2Hash.ts:11

## Methods

### digest

- digest(data: Buffer, algorithm?: string): Promise<Buffer>

- - Defined in packages/encryption/src/sha2Hash.ts:17

  #### Parameters

  - ##### data: Buffer

  - ##### Default value algorithm: string = "sha256"

  #### Returns Promise<Buffer>

Generated using TypeDoc